Subject: Re: [tsvwg] TSVWG Status Update digest (Oct 2015)

From: "Tim Szigeti (szigeti)" <[email-masked]>
Date: Mon, 7 Mar 2016 10:52:42 +0000

Regarding:

draft-szigeti-tsvwg-ieee-802-11 - Document Shepherd: TBD Mapping to 802.11

- Discussed at Prague IETF (Summer 2014) Topic thought to fall within TSVWG charter

-  No call issued for adoption at this time.

Chair Note: Does this need to reference RC4594 or an update to that spec.?

draft-szigeti-tsvwg-ieee-802-11 extensively references RFC 4594; and if/when RFC 4594 is updated, then we’ll update our references accordingly.

DUE: Please discuss on the TSVWG list.

If there’s no other questions/concerns for this draft, I’d like to call for adoption.

TIA.

-tim

From: tsvwg [mailto:[email-masked]] On Behalf Of Gorry Fairhurst
Sent: Saturday, October 31, 2015 1:52 AM
To: tsvwg WG
Subject: [tsvwg] TSVWG Status Update digest (Oct 2015)

The list below shows the status of the working group documents as we see it. Please check below and comment on drafts using the list. Please do send any corrections/omissions to the chairs.

Gorry & David

(TSVWG Chairs)

October 2015

-------------------------------------------------------------------

Document recently published:

RFC 7496 draft-ietf-tsvwg-sctp-prpolicies - Additional Policies for the Partially Reliable Stream Control Transmission Protocol Extension - Document Shepherd: Gorry

RFC 7605 draft-ietf-tsvwg-port-use - Recommendations on Using Assigned Transport Port Numbers Document Shepherd: Gorry

-------------------------------------------------------------------

IDs in RFC Editor Queue (http://www.rfc-editor.org/queue.html) :

draft-ietf-tsvwg-sctp-dtls-encaps - PS - Document Shepherd: Gorry

Replaces: draft-tuexen-tsvwg-sctp-dtls-encaps-01

WG adopted 13/12/2013. Support {AB, IR, SL, MB, TD}

[Milestone: Jan 2014, PS] Implemented in Firefox (FF21).

Required by RTCweb. Comments received.

WGLC ended 28th February 2014.

Comments from Joe Touch (draft updated)

Review comments and revised ID published.

Eric Rescorla has reviewed this.

All authors confirmed no IPR

Write-up submitted, Comments and revised ID.

IESG evaluation: Completed.

RFC Editor: MISSREF - waiting for draft-ietf-tsvwg-ndata

---

----------------------------------------------------------

IDs in IESG evaluation:

---

draft-ietf-tsvwg-sctp-failover - Document Shepherd: Gorry

Replaces: draft-nishida-tsvwg-sctp-failover

Individual-00 Presented in Prague, IETF-80.

- Understood not to conflict with draft-tuexen-tsvwg-sctp-multipath

- PF has been implemented in FreeBSD; Linux SCTP implements partially, that they intend to implement full support and have no comments to the technical solution; Ericsson have an implementation; Adopted by WG 26/6/2012. [Milestone: Jul 2013, EXP] Thought ready for WGLC, four people volunteered to review.

Review done by GF with a view to the milestone becoming PS.

++ Committed reviewers : Michael Tuexen (more if possible)

Milestone request submitted to AD/IESG

Implementation status:

PF has been coded into FreeBSD.

This feature is supported in Ericsson in-house SCTP SW implementation.

It is partially implemented in Linux SCTP SW (July 2014) with the intent to implement.

WGLC concluded 19th November, 2014. No issues with protocol design.

Revised ID issued after Shepherd review. Protocol spec reviewed by M Tuexen.

DUE: Revised ID needed with editorial work needed on protocol spec and be sure this is unambiguous (reminder sent: 11-Jun-2015).

Title discussed in Prague Meeting and confirmed as SCTP-PF.

Updated revision following WGLC feedback and shepherd review.

Confirming WGLC concluded 15th Sept 2015.

Writeup prepared by shepherd.

DUE: Waiting for AD to progress.

----

draft-ietf-tsvwg-circuit-breaker - BCP - Document Shepherd: David

- (Editor: Gorry Fairhurst)

Call for WG adoption issued - August 2014, adopted 28th Aug.

Current target is BCP, will re-evaluate (BCP vs. INFO) when draft is ready for WGLC.

++ WGLC comments from Colin Perkins, David Black, Lucy Yong.

++ Detailed review by Bob Briscoe

WGLC completed, updated I-D needed

Shepherd Review by David Black, Review by Spencer Dawkins Write-Up completed - document intended to be published as BCP.

Updated ID published (06)

- Comments received from GEN-ART and other reviews.

Due: Revised ID required to resolve remaining issues.

-------------------------------------------------------------------

WG Drafts with Chairs:

Post WGLC:

draft-ietf-tsvwg-rfc5405bis - BCP -  Document Shepherd: David formerly draft-eggert-tsvwg-rfc5405bis - Individual,  ‘Multicast UDP Guidelines’ incorporated Mar 2014, the ADs proposed the WG re-open the UDP Guidelines RFC for update to include this work and other topics.

The authors of both drafts agreed to progress this work.

Presented IETF-90, Hum supporting adoption, none against.

++ Brian Trammel agreed to review this.

++ Jana agreed to review this.

++ Magnus Westerlund agreed to review this (comments)

Adopted as a TSVWG work item.

Revision incorporating comments from Prague Meeting.

WGLC doe BCP completed 13 Oct 2015.

DUE: Revised ID required followed by Document Write-Up.

-------------------------------------------------------------------

WG Drafts

draft-ietf-tsvwg-behave-requirements-update - Document Shepherd: David

Replaces: draft-ietf-behave-requirements-update-00

Nov 2013, Former BEHAVE WG work item intended for publication as a BCP Mar 2014, Irene R reviewed this and found no conflict with SCTP drafts.

Some suggestions (in no particular order) for a shepherd:

++ Dave Thaler, may review, as former behave co-chair David Harrington,

++ has been around in behave, and he knows how to do

this and volunteered multiple times.

++ Ask Jana to review this.

++ Dan has committed to review this.

Sep 2015: Revision of draft appeared with author WGLC request.

DUE: Chairs to evaluate for a WGLC.

DUE: Please comment on TSVWG list

---

draft-ietf-tsvwg-sctp-ndata - PS - Document Shepherd: Gorry

- replaces: draft-stewart-tsvwg-sctp-ndata-03 Nov 2013, Adopted, intended for publication as a PS RFC Mar 2014, 5-6 people had read.

Name was changed (proposed at IETF-90), Interleaved data Header was made smaller.

Work needed:

• Describe how it works! (Possible Errata to fix RFC 4960) • Describe Stream Schedulers –  Address comments received on the mailing list.

• Clarification of use-case.

• Make clear what also applies when regular DATA chunks are used.

++ Magnus Westerlund will review

++ Karen Neilson will review

July 6th Revised ID

Chairs Note: Awaiting author confirmation that all issues addressed, WGLC expected after next revision

DUE: Please comment on TSVWG list.

---

draft-tsvwg-gre-in-udp-encap - PS - Document Contact: Gorry (Document

Shepherd: David)

- replaces: draft-yong-tsvwg-gre-in-udp-encap Dec 2013, Adopted , intended for publication as a PS RFC Feb 2014, discussion of scope and applicability of circuit breakers Mar 2014 consider MUST implement, SHOULD use in these environments for CB Revised ID expected for Dallas (was Honolulu) with initial adaptation and discuss generalization in meeting.

Revised ID needed to address congestion control and UDP Zero Checksum for IPv6.  Revised text has been adapted from MPLS-in-UDP RFC 7510, but needs further adaptation for GRE (vs. MPLS).

July 2015 - Scope of deployability discussed in Prague (meeting and

hallway) - decision is to proceed with 2 applicability scopes - general Internet and well-managed Operator Network ID submitted for Yokohama (probably not final text, but initial stab at

2 applicability scopes)

DUE: Revised ID after Yokohama meeting and mailing list discussion

---

draft-ietf-tsvwg-diffserv-intercon - Info- Document Contact: David (Document Shepherd: Gorry)

formerly: draft-geib-tsvwg-diffserv-interco DiffServ interconnection classes New ID presented in Atlanta, IETF-85.

ID presented in Orlando, IETF-86, Mar 2013. Mar 2014, intended scope unclear at IETF London Adoption call to be considered, but scope needs to be first refined and a revised draft is necessary to avoid implications of broader applicability.

July 2014 - ID presented in Toronto. Strong hum of support to work on this, but a revised draft is needed first.

WG adoption call completed 2014-12-01.

March 2015: Draft got waylaid by a strong request to include a Scavenger class.

July 2015: Prague meeting discussion of scavenger class is inconclusive.

  Do need to map *all* RFC 4594 Diffserv classes.  Revised ID submitted for Yokohama. Expected response to "Scavenger class" topic is "Send Draft!"

Chairs Note: WGLC soon.

DUE: Revised ID after Yokahama discussion.

---

draft-ietf-tsvwg-ecn-encap-guidelines - BCP - Document Shepherd: David replaced draft-briscoe-tsvwg-ecn-encap-guidelines

-00 Presented in Prague, IETF-80.

- comments at IETF-80 (see minutes)

New ID presented in Atlanta, IETF-85. ID presented in IETF-88,89

-  forward an appropriate message (perhaps your note to the mailing list for approval to adopt) to [email-masked]<mailto:[email-masked]>)

++ Reviewers: Andrew McGregor, Dirk Kutscher, Richard Sheffnegger, Brian

Trammell, Gorry.

Mar 2014, WG Call for adoption started, to end 4th March 2014

19 for, 1 against. 8 echoed on the list

Adoption call concluded and document adopted.

- ecn-encap-guidelines and AQM are the main new things they need to know about.

on <http://www.ietf.org/proceedings/86/train-3.html>IEEE802.1Q)

Liaison sent to IEEE 802 (Nov  24, 2014).

Liaison sent to 3GPP (August 2015)

Oct 2015 - Draft updated for Yokohama meetings.  Not sure about INT Area presentation.  Need some more soak time for 3GPP Liaison.

DUE: Revised ID needed, next version to be presented to IETF INT Area.

DUE: Please comment on TSVWG list.

---

draft-ietf-tsvwg-natsupp - Document Shepherd: David

Replaces: draft-stewart-natsupp-tsvwg

Dependency from BEHAVE WG (no longer applicable).

Adopted as a work item 21 Sept 2010 (Gorry).

WG -00, 29/11/2010 Uploaded as: draft-ietf-natsupp-tsvwg Authors restructured draft (-03) Added support for single and multi-homed support.

IETF-86: 3 people in meeting had read -04 or -05.

Feb 2014, Authors please update following comments and align to related draft on SCTP NAT (conflicts found in language) Authors expected to produce a single document to replace both.

++ Dan Wing has committed to review this.

++ Fred Baker has committed to review this.

Separated the simpler case for single-homed use - this separation should be clear.

March 2015 document restructured and merged with draft-ietf-tsvwg-sctpnat March 2015, initial review by Gorry - need to consider helping NAT vendors access the recommendations.

Gorry, Karen: Minor NiTs,

Scope of IPv4 NAT discussed in Prague IETF and still thought within Charter.

Chairs Note: Plan to start a WGLC, once text is stable.

DUE: Revised ID-needed.

---

draft-ietf-tsvwg-rtcweb-qos - PS - Document Shepherd: David

Replaces: draft-dhesikan-tsvwg-rtcweb-qos

- RTCweb and QoS Markings

- Authors requested TSVWG adoption.

- Who has read the draft? (lots 10's of people) 25-Mar-2014, Adopted by tsvwg

- Who thinks it is important to do work in the IETF? (Many) I-D updated after initial TSVWG feedback Mar 2014, Adoption call (strong support in WG meeting London) Adoption call concluded 24 Match 2014: intended as a PS RFC for Sept 2014

++ Magnus agreed to review this.

Early OPS-Dir review received from Fred Baker.

Related draft Oct 2014, DART draft (draft-ietf-dart-dscp-rtp): IETF LC completed.

Revised draft Oct 2015 (David had concall w/authors on Jan 22).

Chairs Note: A WGLC is expected soon.

DUE: Updates to related documents (SCTP requirements need to be clear across rtcweb-data-channel, rtcweb-transports and tsvwg-rtcweb-qos

drafts)  Michael T is actively looking at these

DUE: Please comment on the TSVWG list.

---

draft-ietf-tsvwg-tunnel-congestion-feedback-00  - Document Shepherd:

to-be-assigned.

Replaces draft-wei-tsvwg-tunnel-congestion-feedback

- Thought to fall within TSVWG charter, comments welcome on tsvwg list.

- IETF 91: Authors will work w/Bob Briscoe, who has a related individual draft for conex, on feedback mechanisms.  Goal is concrete action taken based on detected problems that can be used from other drafts by reference.  Also have to deal with possibility of dropped packets within tunnel.

*** NOTE: 2 IPR declarations relate to the work of this draft ***

DUE: Please comment on the TSVWG list.

-------------------------------------------------------------------

Expired WG documents:

---

draft-ietf-tsvwg-intserv-multiple-tspec - Document Shepherd: David WG interest in this topic recorded at IETF-78.

Charter update needed to progress this work.

5 Reviews needed to determine energy/technical direction.

WG -05 (presented in Beijing, IETF-79)

WG -06 (presented in Prague, IETF-80)

2 reviews from RSVP-DIR received (Bruce Davie, ?)

2 additional reviews promised (Ken Carlberg, Francois LeF) Chairs asked AD for a Charter update (IESG agreed) Draft discussed at IETF-80, and request to update charter agreed

- AD advised 4 named reviewers will be required Adopted for progression as PS, for May 2012

- New name: 'RSVP Multiple Instance'.

Draft is now expired and dead.

Draft authors planned to request replacement with draft-polk-rsvp-multi-instance-object (and WG adoption call for that draft in Honolulu, IETF-91) Chairs Note: New editor required to progress the work.

DUE: The WG expects to abandon this draft in Yokohama if no interest is shown.

---

-------------------------------------------------------------------

The following have received recent discussion at TSVWG meetings or on the list. Inclusion in the list below does not indicate support for these specific drafts and other contributions are also warmly welcomed.

---------------------------------------------------------------

draft-ietf-tsvwg-rfc2960-bis - Document Shepherd: TBD Thought to fall within TSVWG charter Support for this work noted in Prague (Aug 2015).

Expected to be used as the basis for an update to SCTP base specification.

- No call issued for adoption at this time.

DUE: Revised draft, comments welcome on tsvwg list.

---

draft-szigeti-tsvwg-ieee-802-11 - Document Shepherd: TBD Mapping to 802.11

- Discussed at Prague IETF (Summer 2014) Topic thought to fall within TSVWG charter

-  No call issued for adoption at this time.

Chair Note: Does this need to reference RC4594 or an update to that spec.?

DUE: Please discuss on the TSVWG list.

---

draft-nielsen-tsvwg-sctp-tlr - Document Shepherd: TBD SCTP Tail Loss Recovery (15 minutes)

- Initial presentation at Prague IETF (Summer 2014)

- Presentation at IETF Nov 2015.

Topic thought to fall within TSVWG charter

-  No call issued for adoption at this time.

Chair Note: Need stop coordinate with TCPM (not expected an issue)

DUE: Please discuss on the TSVWG list.

----

draft-herbert-udp-magic-numbers - Document Shepherd: TBD UDP Magic Numbers

- Presentation at IETF Nov 2014.

DUE: Please discuss on the TSVWG list.

---

draft-touch-tsvwg-udp-options - Document Shepherd: TBD Transport Options for UDP

- Presentation at IETF Nov 2015.

Topic thought to fall within TSVWG charter

-  No call issued for adoption at this time.

DUE: Please discuss on the TSVWG list.

---

draft-briscoe-tsvwg-ecn-l4s-id-00 - Document Shepherd: TBD New draft Nov-2914: Identifying Modified Explicit Congestion Notification (ECN) Semantics for Ultra-Low Queuing Delay Thought to fall within TSVWG charter

-  No call issued for adoption at this time.

DUE: Please discuss on the TSVWG list.

---

draft-briscoe-aqm-dualq-coupled - Document Shepherd: TBD Still to determine the WG that will consider this.

DUE: Please discuss on the AQM WG list.

---------------------------------------------------------

draft-ietf-tsvwg-sctpnat - Document Shepherd: Gorry ABANDONED

Replaced: draft-ietf-behave-sctpnat-03.txt Adopted Nov 2013.

Former BEHAVE WG work item that defines SCTP NAT support Feb 2014, Author update following comments and align to related draft on SCTP NAT (conflicts found in language)

Chairs: - authors have requested a single document to replace both.

Document replaced by: draft-ietf-tsvwg-natsupp

---

draft-ietf-tsvwg-rsvp-app-id-vv-profiles - Document Shepherd: David ABANDONED, including related MMUSIC work

Replaces: draft-polk-tsvwg-rsvp-app-id-vv-profiles

-01 Presented in Beijing, IETF-79.

-02, 14-Mar-2011

Presented IETF-80.

Seek to coordinate with music with partner ID:

draft-polk-mmusic-traffic-class-for-sdp

Gorry liaised with MMUSIC WG Chairs on companion draft (norm ref from this tsvwg draft).

Adopted as a TSVWG work item, December 2013, [Milestone Jul 2013].

This will update a RFC 2872 (PS).

Presented at IETF-86,

Mar 2013 (no comments)

Expected ready for WGLC (waiting on MMUSIC)

DUE: Reviewers are needed to prepare for a WGLC (expired)

DUE: New editor required to progress the work.

---

draft-lai-tsvwg-normalizer

- Thought to fall within TSVWG charter

- Presented IETF-88, comments welcome on tsvwg list.

---

draft-wing-tsvwg-turn-flowdata-00.txt

- Individual (no decision to adopt at this time)

- QoS-aspects to be discussed in tsvwg (thought to also be relevant to TURN WG) Comments welcome on tsvwg list.

----

Liaisons:

ITU-T Study Group 12 Liaison on QoS Classes & markings for interconnection IEEE liaison to support L2/L3 work on ECN marking 3GPP liaison to support L2/L3 work on ECN marking